> ## Documentation Index
> Fetch the complete documentation index at: https://developers.artport.co/llms.txt
> Use this file to discover all available pages before exploring further.

# Verify Address

### Overview

This endpoint can be used to verify an address.

Endpoint: `/api/v1/addresses/verify`

Method: `POST`

### Request

<ResponseField name="name" type="string" required>
  For example, "John Smith" or "Acme Products".

  Minimum character length: `2`

  Maximum character length: `50`
</ResponseField>

<ResponseField name="email" type="string" required>
  The contact email address.

  Carriers may send one or more shipment tracking notifications to this email address.

  Minimum character length: `6`

  Maximum character length: `100`
</ResponseField>

<ResponseField name="phone" type="string" required>
  The contact phone number.

  This must be formatted using the [E.164 standard](/guide/concepts/formatting#phone-numbers).

  Minimum character length: `7`

  Maximum character length: `30`
</ResponseField>

<ResponseField name="line_1" type="string" required>
  Line 1 of the address.

  Minimum character length: `2`

  Maximum character length: `35`
</ResponseField>

<ResponseField name="line_2" type="string">
  Line 2 of the address.

  Minimum character length: `2`

  Maximum character length: `35`
</ResponseField>

<ResponseField name="city" type="string" required>
  The address' town or city.

  Minimum character length: `2`

  Maximum character length: `35`
</ResponseField>

<ResponseField name="region" type="string" required>
  The address' state, province, or region.

  Minimum character length: `2`

  Maximum character length: `30`
</ResponseField>

<ResponseField name="post_code" type="string" required>
  The address' post code.

  Minimum character length: `2`

  Maximum character length: `16`
</ResponseField>

<ResponseField name="country" type="integer" required>
  A [Country](/guide/enums/countries) enum representing the address' country.
</ResponseField>

### Response

If the address is valid, the API will return a `200 OK` status code.

The response will not contain any content.

If the address is not valid, the API will return a `400 Bad Request` status code.

The response will contain the following content:

<ResponseField name="name" type="string" required>
  The name that was provided in the request.
</ResponseField>

<ResponseField name="email" type="string" required>
  The email address that was provided in the request.
</ResponseField>

<ResponseField name="phone" type="string" required>
  The phone number that was provided in the request.
</ResponseField>

<ResponseField name="line_1" type="string" required>
  Line 1 of the address.

  If the corresponding request field is not valid, then this may be set to a recommended alternative.
</ResponseField>

<ResponseField name="line_2" type="string">
  Line 2 of the address.

  If the corresponding request field is not valid, then this may be set to a recommended alternative.
</ResponseField>

<ResponseField name="city" type="string" required>
  The address' town or city.

  If the corresponding request field is not valid, then this may be set to a recommended alternative.
</ResponseField>

<ResponseField name="region" type="string" required>
  The address' state, province, or region.

  If the corresponding request field is not valid, then this may be set to a recommended alternative.
</ResponseField>

<ResponseField name="post_code" type="string" required>
  The address' post code.

  If the corresponding request field is not valid, then this may be set to a recommended alternative.
</ResponseField>

<ResponseField name="country" type="integer" required>
  A [Country](/guide/enums/countries) enum representing the address' country that was provided in the request.
</ResponseField>

<ResponseField name="recommended" type="boolean" required>
  Whether the returned / revised address is recommended.
</ResponseField>

<ResponseField name="status" type="integer" required>
  An [Address Verification Status](/guide/enums/address-verification-status) enum representing the status of the address verification.
</ResponseField>

<ResponseField name="message" type="string" required>
  A message which provides more information about the address verification status.
</ResponseField>

<RequestExample>
  ```json Example Request Body Structure theme={"system"}
  {
      "name": "Kohler Group",
      "email": "artport.example@example.com",
      "phone": "+123456789",
      "line_1": "123 Example Street",
      "line_2": "Apt. 456",
      "city": "Moenburgh",
      "region": "Colorado",
      "post_code": "72099",
      "country": 1,
  }
  ```
</RequestExample>

<ResponseExample>
  ```text 200 theme={"system"}
  No Content
  ```

  ```json 400 theme={"system"}
  {
      "name": "Kohler Group",
      "email": "artport.example@example.com",
      "phone": "+123456789",
      "line_1": "Revised line 1",
      "line_2": "Revised line 2",
      "city": "Revised city",
      "region": "Revised region",
      "post_code": "Revised post code",
      "country": 1,
      "recommended": true,
      "status": 3,
      "message": "The address was not found, but a similar one exists. Accept it or adjust if needed."
  }
  ```
</ResponseExample>
